Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge slot problems
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
imesg
Apprentice
Apprentice


Joined: 12 Jul 2002
Posts: 256

PostPosted: Tue Jan 15, 2013 4:12 am    Post subject: emerge slot problems Reply with quote

emerge -u world fails with the following. I need some help deciphering this.

Thanks,


app-cdr/brasero:0

(app-cdr/brasero-3.4.1::gentoo, installed) pulled in by
=app-cdr/brasero-3.4* required by (media-sound/rhythmbox-2.97::gentoo, installed)

(app-cdr/brasero-3.6.1::gentoo, ebuild scheduled for merge) pulled in by
>=app-cdr/brasero-3.6.1 required by (gnome-base/gnome-core-apps-3.6.2::gentoo, ebuild scheduled for merge)

mail-client/evolution:2.0

(mail-client/evolution-3.4.4::gentoo, installed) pulled in by
<mail-client/evolution-3.5.3 required by (app-misc/tracker-0.14.4::gentoo, installed)

(mail-client/evolution-3.6.2-r1::gentoo, ebuild scheduled for merge) pulled in by
>=mail-client/evolution-3.6.2 required by (gnome-base/gnome-extra-apps-3.6.2::gentoo, ebuild scheduled for merge)

gnome-extra/evolution-data-server:0

(gnome-extra/evolution-data-server-3.4.4::gentoo, installed) pulled in by
<gnome-extra/evolution-data-server-3.5.3 required by (app-misc/tracker-0.14.4::gentoo, installed)
=gnome-extra/evolution-data-server-3.4* required by (mail-client/evolution-3.4.4::gentoo, installed)

(gnome-extra/evolution-data-server-3.6.2-r1::gentoo, ebuild scheduled for merge) pulled in by
=gnome-extra/evolution-data-server-3.6* required by (mail-client/evolution-3.6.2-r1::gentoo, ebuild scheduled for merge)
>=gnome-extra/evolution-data-server-3.6.2:=[gnome-online-accounts?,weather] required by (mail-client/evolution-3.6.2-r1::gentoo, ebuild scheduled for merge)
(and 6 more with the same problems)
Back to top
View user's profile Send private message
m_lan
n00b
n00b


Joined: 29 Mar 2012
Posts: 16
Location: Poland, Warsaw

PostPosted: Wed Jan 16, 2013 10:27 am    Post subject: Reply with quote

Had the same problem: latest gnome update was tough... :?

What finally worked was to manually uninstall packages like evolution, evolution-data-server and tracker (emerge -C ...) and install updated versions.
Not pretty, but it worked.
Don't forget to do revdep-rebuild after that
Back to top
View user's profile Send private message
gienah
Developer
Developer


Joined: 24 Nov 2010
Posts: 127
Location: AU

PostPosted: Wed Jan 16, 2013 11:17 am    Post subject: Reply with quote

Quote:
app-cdr/brasero:0

(app-cdr/brasero-3.4.1::gentoo, installed) pulled in by
=app-cdr/brasero-3.4* required by (media-sound/rhythmbox-2.97::gentoo, installed)

(app-cdr/brasero-3.6.1::gentoo, ebuild scheduled for merge) pulled in by
>=app-cdr/brasero-3.6.1 required by (gnome-base/gnome-core-apps-3.6.2::gentoo, ebuild scheduled for merge)


For this first one, portage seems to need help to consider that if it upgraded media-sound/rhythmbox then
it could resolve this first conflict. Sometimes portage might be able to resolve conflicts like these, or give
error messages about conflicts that can not be resolved so easilly, by giving portage the list of packages
for it to consider upgrading, like:

Code:
eix-update
emerge -av `eix --upgrade --only-names`
Back to top
View user's profile Send private message
imesg
Apprentice
Apprentice


Joined: 12 Jul 2002
Posts: 256

PostPosted: Fri Jan 18, 2013 5:33 am    Post subject: Reply with quote

Code:
eix-update
emerge -av `eix --upgrade --only-names`
[/quote]

Worse than ever now:

Total: 292 packages (231 upgrades, 35 new, 20 in new slots, 6 reinstalls), Size of downloads: 914,904 kB
Conflict: 1 block

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-python/python-exec:0

(dev-python/python-exec-0.2::gentoo, installed) pulled in by
(no parents that aren't satisfied by other packages in this slot)

(dev-python/python-exec-0.2::gentoo, ebuild scheduled for merge) pulled in by
dev-python/python-exec[python_targets_python2_5?,python_targets_python2_6?,python_targets_python2_7?,python_targets_python3_1?,python_targets_python3_2?,python_targets_python3_3?,python_targets_pypy1_9?,python_targets_pypy2_0?,-python_single_target_python2_5(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_1(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy1_9(-),-python_single_target_pypy2_0(-)] required by (dev-python/jinja-2.6-r1::gentoo, ebuild scheduled for merge)
dev-python/python-exec[python_targets_python2_5?,python_targets_python2_6?,python_targets_python2_7?,python_targets_python3_1?,python_targets_python3_2?,python_targets_python3_3?,python_targets_pypy1_8?,python_targets_pypy1_9?,python_targets_pypy2_0?,-python_single_target_python2_5(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_1(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy1_8(-),-python_single_target_pypy1_9(-),-python_single_target_pypy2_0(-)] required by (dev-python/markupsafe-0.15-r1::gentoo, ebuild scheduled for merge)
dev-python/python-exec[python_targets_python2_5?,python_targets_python2_6?,python_targets_python2_7?,python_targets_python3_1?,python_targets_python3_2?,python_targets_pypy1_9?,python_targets_pypy2_0?,-python_single_target_python2_5(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_1(-),-python_single_target_python3_2(-),-python_single_target_pypy1_9(-),-python_single_target_pypy2_0(-)] required by (dev-python/pygments-1.5-r1::gentoo, ebuild scheduled for merge)
dev-python/python-exec[python_targets_python2_5?,python_targets_python2_6?,python_targets_python2_7?,python_targets_python3_1?,python_targets_python3_2?,python_targets_python3_3?,python_targets_pypy1_8?,python_targets_pypy1_9?,python_targets_pypy2_0?,-python_single_target_python2_5(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_1(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy1_8(-),-python_single_target_pypy1_9(-),-python_single_target_pypy2_0(-)] required by (dev-python/setuptools-0.6.33::gentoo, ebuild scheduled for merge)

dev-libs/icu:0

(dev-libs/icu-50.1.1::gentoo, ebuild scheduled for merge) pulled in by
(no parents that aren't satisfied by other packages in this slot)

(dev-libs/icu-49.1.2::gentoo, ebuild scheduled for merge) pulled in by
=dev-libs/icu-49* required by (app-office/libreoffice-bin-3.6.4.3::gentoo, ebuild scheduled for merge)

app-text/libexttextcat:0

(app-text/libexttextcat-3.4.0::gentoo, ebuild scheduled for merge) pulled in by
(no parents that aren't satisfied by other packages in this slot)

(app-text/libexttextcat-3.3.1::gentoo, ebuild scheduled for merge) pulled in by
=app-text/libexttextcat-3.3* required by (app-office/libreoffice-bin-3.6.4.3::gentoo, ebuild scheduled for merge)

app-cdr/brasero:0

(app-cdr/brasero-3.4.1::gentoo, installed) pulled in by
=app-cdr/brasero-3.4* required by (media-sound/rhythmbox-2.97::gentoo, installed)

(app-cdr/brasero-3.6.1::gentoo, ebuild scheduled for merge) pulled in by
>=app-cdr/brasero-3.6.1 required by (gnome-base/gnome-core-apps-3.6.2::gentoo, ebuild scheduled for merge)

gnome-extra/evolution-data-server:0

(gnome-extra/evolution-data-server-3.4.4::gentoo, installed) pulled in by
<gnome-extra/evolution-data-server-3.5.3 required by (app-misc/tracker-0.14.4::gentoo, installed)
=gnome-extra/evolution-data-server-3.4* required by (mail-client/evolution-3.4.4::gentoo, installed)

(gnome-extra/evolution-data-server-3.6.2-r1::gentoo, ebuild scheduled for merge) pulled in by
=gnome-extra/evolution-data-server-3.6* required by (mail-client/evolution-3.6.2-r1::gentoo, ebuild scheduled for merge)
>=gnome-extra/evolution-data-server-3.6.2:=[gnome-online-accounts?,weather] required by (mail-client/evolution-3.6.2-r1::gentoo, ebuild scheduled for merge)
(and 7 more with the same problems)

mail-client/evolution:2.0

(mail-client/evolution-3.4.4::gentoo, installed) pulled in by
<mail-client/evolution-3.5.3 required by (app-misc/tracker-0.14.4::gentoo, installed)

(mail-client/evolution-3.6.2-r1::gentoo, ebuild scheduled for merge) pulled in by
>=mail-client/evolution-3.6.2 required by (gnome-base/gnome-extra-apps-3.6.2::gentoo, ebuild scheduled for merge)


More ideas?

Thanks
Back to top
View user's profile Send private message
megabaks
Apprentice
Apprentice


Joined: 22 Jan 2012
Posts: 253
Location: Russia && Saint-Petersburg

PostPosted: Fri Jan 18, 2013 7:47 am    Post subject: Reply with quote

-u world...
-av some_packages...
o_O???
emerge -avuDN world
Back to top
View user's profile Send private message
Ricky
Guru
Guru


Joined: 30 May 2003
Posts: 339

PostPosted: Thu Jan 24, 2013 12:09 am    Post subject: Reply with quote

If you don't use rhythmbox for burning CDs, you can simply remove the brasero dependency with USE="-cdr", e.g.:

Code:
echo "media-sound/rhythmbox -cdr" >> /etc/portage/package.use
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum